summaryrefslogtreecommitdiffstats
path: root/ci/setup_ci.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-11-26 13:31:05 -0500
committerGuo Ruijing <ruijing.guo@intel.com>2017-11-29 15:58:23 -0500
commit26013163411b419fcf60866d61a028c62737e282 (patch)
treeeda942b779fd1424e31c21e49e15d05e77ce10a7 /ci/setup_ci.sh
parentcc076fe7ba6bdc7b5298ed7b19a15cad37af0307 (diff)
build vagrant/libvirt box
1. build box based on chef/bento 2. move setup_vagrant to src/vagrant Change-Id: I69dffac9e16435b20975a4c73a2ac37543a8edf5 Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'ci/setup_ci.sh')
-rwxr-xr-xci/setup_ci.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/setup_ci.sh b/ci/setup_ci.sh
new file mode 100755
index 0000000..f2e352f
--- /dev/null
+++ b/ci/setup_ci.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+echo "Please run it by jenkins account!"
+cat << EOF | sudo tee /etc/sudoers.d/${USER}
+${USER} ALL = (root) NOPASSWD:ALL
+EOF
+sudo apt-get update > /dev/null
+sudo apt install -y qemu-kvm libvirt-bin 2>1 /dev/null
+echo "Plsease reboot/logout to make effective for libvirt group adding"